Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Dennesa Lourdes Ricablanca applied on Indeed
From: "Dennesa Lourdes Ricablanca" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Fri, 6 Jan 2023 03:51:48 -0600 (CST)

Dear Pritish, Thank you for taking the time to review my application and reach out. I’m still interested for the position but I'm afraid I must politely decline this interview for now due to I am travelling overnight. Thank you, Dennesa

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Cee5e3314-3b7e-405a-bb9e-6d1c9c35895d%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.